cURL
curl --request PUT \
--url https://backendapi.corbado.io/v2/connect/identifierWhitelists/{identifierWhitelistID} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"identifiers": "<string>"
}
'import requests
url = "https://backendapi.corbado.io/v2/connect/identifierWhitelists/{identifierWhitelistID}"
payload = {
"name": "<string>",
"identifiers": "<string>"
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', identifiers: '<string>'})
};
fetch('https://backendapi.corbado.io/v2/connect/identifierWhitelists/{identifierWhitelistID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"item": {
"id": "<string>",
"name": "<string>",
"identifiers": "<string>",
"createdMs": 123
}
}{
"httpStatusCode": 123,
"message": "OK",
"requestData": {
"requestID": "req-557...663",
"link": "https://my.corbado.com/requests/req-xxxxxxxxxxxxxxxxxxx"
},
"runtime": 0.06167686,
"error": {
"type": "<string>",
"details": "<string>",
"validation": [
{
"field": "<string>",
"message": "<string>"
}
],
"links": [
"<string>"
]
},
"data": {}
}ConnectRollout
Put connectidentifierwhitelists
Updates an existing identifier whitelist
PUT
/
connect
/
identifierWhitelists
/
{identifierWhitelistID}
cURL
Authorizations
basicAuthbearerAuth
Basic authentication is used to authenticate requests to the Backend API. The username is the project ID and the password is the API secret.
The project ID and API secret can be found in the Developer Panel.
Path Parameters
The identifier whitelist ID
Response
List successfully updated
Show child attributes
Show child attributes
Was this page helpful?